"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DictSelectProps = void 0;

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var DictSelectProps = {
  // 双向绑定的值
  value: _vueTypes["default"].oneOfType([_vueTypes["default"].number, _vueTypes["default"].string]),
  // 字典组ID
  itemId: _vueTypes["default"].oneOfType([_vueTypes["default"].number, _vueTypes["default"].string]),
  // 选项列表
  options: _vueTypes["default"].oneOfType([_vueTypes["default"].array, _vueTypes["default"].shape({
    label: _vueTypes["default"].string,
    value: _vueTypes["default"].string
  })]),
  // 是否不可用，该属性仅对select组件有效
  disabled: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].bool]).def(false),
  // 是否可编辑，当是编辑状态时，组件切换成select，否则仅仅是显示
  editable: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].bool]).def(true),
  // 输入提示
  placeholder: _vueTypes["default"].string.def('请选择')
};
exports.DictSelectProps = DictSelectProps;